IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_ZAMANLAYICI_VERI_TOPLA]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_ZAMANLAYICI_VERI_TOPLA
GO
CREATE PROCEDURE [dbo].[SPUSS_ZAMANLAYICI_VERI_TOPLA]
@ZAMANLAYICIID INT 
AS
BEGIN
	IF EXISTS(SELECT * FROM ZAMANLAYICI Z 
		JOIN ZAMANLAYICIISLEMTANIMLARI ZT ON ZT.ZAMANLAYICIISLEMTANIMLARIID=Z.ZAMANLAYICIISLEMTANIMLARIID 
		WHERE Z.ZAMANLAYICIID = @ZAMANLAYICIID AND ISNULL(ZT.DOSYAYABAGLI,0)=0)
	BEGIN
		SELECT CONVERT(INT,(CONVERT(VARCHAR,S.SUBEID)+CONVERT(VARCHAR,DAKIKAGERIDEKIKAYITLAR))) AS HDOSYAID,TUMUNUTEKRAR
		FROM SUBELER S
		JOIN ZAMANLAYICI Z ON 1=1
		JOIN ZAMANLAYICIISLEMTANIMLARI ZT ON ZT.ZAMANLAYICIISLEMTANIMLARIID=Z.ZAMANLAYICIISLEMTANIMLARIID 
		WHERE Z.ZAMANLAYICIID=@ZAMANLAYICIID AND ISNULL(ZT.DOSYAYABAGLI,0)=0 AND S.MEDISOFT=1
	END
	ELSE
	BEGIN
		SELECT HDOSYA.HDOSYAID AS HDOSYAID, 
				ZAMANLAYICI.TUMUNUTEKRAR
		FROM HDOSYA WITH(NOLOCK) 
		JOIN TBOLUM WITH(NOLOCK) ON TBOLUM.BOLUMID=HDOSYA.BOLUMID 
		JOIN ZAMANLAYICI ON ZAMANLAYICI.ZAMANLAYICIID=@ZAMANLAYICIID
		JOIN ZAMANLAYICIISLEMTANIMLARI ON ZAMANLAYICI.ZAMANLAYICIISLEMTANIMLARIID=ZAMANLAYICIISLEMTANIMLARI.ZAMANLAYICIISLEMTANIMLARIID
		WHERE HDOSYA.HDIPTAL = 0	  
		  AND ISNULL(TBOLUM.SNGONDERILMESIN,0)=0
		  AND (SELECT COUNT(HESAPISLID) FROM HESAPISL WHERE ENABIZISLEMBILDIRIM=1 AND HESAPISL.HDOSYAID=HDOSYA.HDOSYAID)=0--700 Gidenleri bi daha gönderme
		  AND 
		   HDOSYA.HDTARIH BETWEEN DATEADD(MINUTE,-1*(ZAMANLAYICI.DAKIKAGERIDEKIKAYITLAR+ZAMANLAYICI.GONDERIMPERYODU),GETDATE()) AND DATEADD(MINUTE,-1*(ZAMANLAYICI.DAKIKAGERIDEKIKAYITLAR),GETDATE())
		GROUP BY HDOSYA.HDOSYAID,ZAMANLAYICI.TUMUNUTEKRAR
		ORDER BY HDOSYAID DESC
	END
END
GO


